# Service to access the yarn web ui
apiVersion: v1
kind: Service
metadata:
  name: {{ template "hadoop.fullname" . }}-yarn-ui
  labels:
    app: {{ template "hadoop.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
    component: yarn-ui
spec:
  ports:
  - port: 8088
    name: web
  selector:
    app: {{ template "hadoop.name" . }}
    component: yarn-rm